require 'faraday'
require 'faraday_middleware/parse_oj'
require 'json'
require 'ostruct'
require_relative 'address-service/address'

module AddressService
  class << self

    # TODO: change this when we figure out service discovery.
    def service_url
      "http://address-service-production.u9sfsahzgk.eu-west-1.elasticbeanstalk.com"
    end

    def client
      Faraday.new(url: service_url) do |faraday| 
        faraday.request :url_encoded
        #faraday.response :logger
        faraday.response :oj
        faraday.adapter Faraday.default_adapter
      end
    end

  end
end